#!/usr/bin/env python
# -*- coding: utf-8 -*-

import logging
import os
import json
import glob

import torch
from torch_geometric.graphgym.model_builder import create_model
from torch_geometric.graphgym.train import GraphGymDataModule

MODEL_STATE = "model_state"
OPTIMIZER_STATE = "optimizer_state"
SCHEDULER_STATE = "scheduler_state"


def load_ckpt(
    model: torch.nn.Module,
    ckpt_path: str,
) -> torch.nn.Module:
    r"""Loads the model at given checkpoint."""

    if not osp.exists(path):
        return None

    ckpt = torch.load(ckpt_path)
    model.load_state_dict(ckpt[MODEL_STATE])

    return model


def load_best_given_exp(path_to_xp:str, wrt_metric:str:'val')->str:
    path = os.path.normpath(path)
    path.split(os.sep)
    for path in glob.glob(os.path.join(path_to_xp,'[0-9]'*10,wrt_metric,'stats.json')):
        print(path)




